https://airflow.apache.org/docs/apache-airflow/stable/start/docker.html.

Postępuję z powyższym przewodnikiem instalacji. W kroku, gdzie mówi:

echo -e "AIRFLOW_UID=$(id -u)\nAIRFLOW_GID=0" > .env

Myślę, że ma stworzyć plik .env, ale nic dla mnie nie tworzy. Jeśli korzystam z polecenia LS .env nie pojawia się.

Jeśli spróbuję przejść do następnego kroku:

docker-compose up airflow-init

Otrzymuję następujący błąd:

Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1277, in request
  File "http/client.py", line 1323, in _send_request
  File "http/client.py", line 1272, in endheaders
  File "http/client.py", line 1032, in _send_output
  File "http/client.py", line 972, in send
  File "docker/transport/unixconn.py", line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 449, in send
  File "urllib3/connectionpool.py", line 727, in urlopen
  File "urllib3/util/retry.py", line 410, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 677, in urlopen
  File "urllib3/connectionpool.py", line 392, in _make_request
  File "http/client.py", line 1277, in request
  File "http/client.py", line 1323, in _send_request
  File "http/client.py", line 1272, in endheaders
  File "http/client.py", line 1032, in _send_output
  File "http/client.py", line 972, in send
  File "docker/transport/unixconn.py", line 43, in connect
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "docker/api/client.py", line 214, in _retrieve_server_version
  File "docker/api/daemon.py", line 181, in version
  File "docker/utils/decorators.py", line 46, in inner
  File "docker/api/client.py", line 237, in _get
  File "requests/sessions.py", line 543, in get
  File "requests/sessions.py", line 530, in request
  File "requests/sessions.py", line 643, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "docker-compose", line 3, in <module>
  File "compose/cli/main.py", line 81, in main
  File "compose/cli/main.py", line 199, in perform_command
  File "compose/cli/command.py", line 70, in project_from_options
  File "compose/cli/command.py", line 153, in get_project
  File "compose/cli/docker_client.py", line 43, in get_client
  File "compose/cli/docker_client.py", line 170, in docker_client
  File "docker/api/client.py", line 197, in __init__
  File "docker/api/client.py", line 222, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))
[22636] Failed to execute script docker-compose

Używam Ubuntu 20.04 w przypadku instancji EC2 AWS.

0
aziz-ashy 15 kwiecień 2021, 12:04

1 odpowiedź

Najlepsza odpowiedź

Jeśli chodzi o plik .env, może nie być widoczny z poleceniem ls, ale prawdopodobnie tam jest. Spróbuj wykonać ls -a, aby pokazać ukryte pliki. Pliki zaczynające się od. są domyślnie ukryte.

Myślę, że twój drugi problem jest kwestią uprawnień z docker-compose. Spróbuj uruchomić sudo docker-compose up airflow-init zamiast lub Dodaj użytkownika do grupy Docker.

1
Databash 15 kwiecień 2021, 18:24